/****************************************************************************/
/*                                                                          */
/*                      Chaine de CAO & VLSI   Alliance                     */
/*                                                                          */
/*    Produit : FCL  v1.02                                                  */
/*    Fichier : fcl102.h                                                    */
/*                                                                          */
/*    (c) copyright 1996 Laboratoire MASI equipe CAO & VLSI                 */
/*    Tous droits reserves                                                  */
/*    Support : e-mail alliance-support@asim.lip6.fr                        */
/*                                                                          */
/*                                                                          */
/****************************************************************************/

#ifndef FCL
#define FCL

#include CNS_H

/* Transferred signal types */

#define FCL_LATCH            ((long) 0x80000000 )
#define FCL_MEMSYM           ((long) 0x40000000 )
#define FCL_RS               ((long) 0x20000000 )
#define FCL_FLIPFLOP         ((long) 0x10000000 )
#define FCL_MASTER           ((long) 0x08000000 )
#define FCL_SLAVE            ((long) 0x04000000 )
#define FCL_BLOCKER          ((long) 0x00000001 )
#define FCL_STOP             ((long) 0x00000002 )
#define FCL_CELLOUT          ((long) 0x00000004 )

/* Transferred transistor types */

#define FCL_BLEEDER          ((long) 0x80000000 )
#define FCL_FEEDBACK         ((long) 0x40000000 )
#define FCL_COMMAND          ((long) 0x20000000 )
#define FCL_NOT_FUNCTIONAL   ((long) 0x10000000 )
#define FCL_BLOCKER          ((long) 0x00000001 )
#define FCL_NEVER            ((long) 0x00000002 )

/* for the signal USER field */

#define FCL_TRANSFER_PTYPE     ((long) 0x40000001 )
#define FCL_FORCECONE_PTYPE    ((long) 0x40000002 )
#define FCL_CELL_PTYPE         ((long) 0x40000003 )

/* for the transistor USER field */

#define FCL_TRANSFER_PTYPE     ((long) 0x40000001 )

#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif

extern short    FCL_FILE;

extern char    *FCL_LIB_NAME;
extern char    *FCL_LIB_PATH;

cell_list      *fclFindCells();
befig_list     *fclGetBefig();
void            fclenv();

#endif


